Subject: bug#732: Every update kills system as library is not in /lib

From: Mark Hindley <[email-masked]>
Date: Tue, 3 Jan 2023 08:08:22 +0000

Control: tags -1 debian
Control: forwarded -1 https://bugs.debian.org/1027697

Klaus,

Thanks for this.

First of all,  I want to make it clear that I am sympathetic with your concerns.

On Mon, Jan 02, 2023 at 11:13:31AM +0100, Klaus Ethgen wrote:
> Package: libpcre2-8-0
> Version: 10.42-1
> Severity: critical

Regarding libpcre2-8-0 specifically, this is an unforked package and Devuan uses
Debian's packages directly without recompilation so the correct place to raise
this is with Debian, as you have. Thanks.

I know you will be disappointed with the response you got there. However,
Matthew Vernon is sympathetic to Devuan and his measured response accurately
reflects the situation, however unpalatable.

Whilst Devuan has not forced merged-usr, I am unsure how long that approach will
be feasible. I fear, not long.

I greatly regret Debian's decisions in this area which seem to me to place dogma
above supporting existing systems for little practical benefit. However, that
ship has sailed.

Yes, Devuan *could* fork this particular library, however, it is likely to be the
first of many and I am not sure that is a viably approach for Devuan to take.

I am sorry not to be more encouraging.

Best wishes

Mark